<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE strategies SYSTEM "yacs_strategies.dtd">

<strategies>

  <strategy name="low_consistency">
    <preprocessing>
    </preprocessing>
    <consistency>
      <solver>yacs.solver.fdsolver.consistency.NCSolver</solver>
    </consistency>
    <search>
    </search>
  </strategy>

  <strategy name="medium_consistency">
    <preprocessing>
    </preprocessing>
    <consistency>
      <solver>yacs.solver.fdsolver.consistency.NCSolver</solver>
      <solver>yacs.solver.fdsolver.consistency.AC3Solver</solver>
    </consistency>
    <search>
    </search>
  </strategy>

  <strategy name="simple_search">
    <preprocessing>
    </preprocessing>
    <consistency>
    </consistency>
    <search>
      <solver>yacs.solver.fdsolver.search.SingleSolutionBTSolver</solver>
    </search>
  </strategy>

  <strategy name="search">
    <preprocessing>
    </preprocessing>
    <consistency>
    </consistency>
    <search>
      <solver>yacs.solver.fdsolver.search.BacktrackingSolver</solver>
    </search>
  </strategy>

  <strategy name="search_with_look-ahead">
    <preprocessing>
    </preprocessing>
    <consistency>
    </consistency>
    <search>
      <solver>yacs.solver.fdsolver.search.MAC3Solver</solver>
    </search>
  </strategy>

  <strategy name="interval_consistency">
    <preprocessing>
    </preprocessing>
    <consistency>
      <solver>yacs.solver.intervalsolver.consistency.HullConsistencySolver</solver>
    </consistency>
    <search>
    </search>
  </strategy>

</strategies>
